
Redmine - Defect #870

Table markup parsing bug

2008-03-15 16:04 - John Goerzen

Status: Closed Start date: 2008-03-15

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Consider the following wiki markup:

|_.Library|_.Download Locations|

|FilePath | "project homepage":http://www-users.cs.york.ac.uk/~ndm/projects/libraries.php#filepath

 |

|hslogger | [[hslogger:|hslogger project homepage]] |

|MissingH | [[missingh:|MissingH project homepage]] |

 This ought to display three rows, each with a link in the right column.

The 2nd and 3rd rows don't display anything in the right column.  Experimentation reveals that making a wiki link without an

embedded pipe character seems to solve it.  It appears that the table system is interpreting the pipe character in the wiki link as a cell

divider.

Associated revisions

Revision 1280 - 2008-03-21 18:39 - Jean-Philippe Lang

Wiki links:

fixes wiki links with pipe in table (closes #893, #870, #894)

prevent wiki link matching on multiple lines

History

#1 - 2008-03-19 19:00 - Rocco Stanzione

Please test the patch from #894 for this

#2 - 2008-03-20 18:46 - John Goerzen

That does appear to fix it.  Thank you.

#3 - 2008-03-21 19:17 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1280.
